# Create customer bank account **POST /customers/{customerId}/bankaccounts** Create a new bank account for a specific customer. ## Servers - https://rest.api.24sevenoffice.com/v1: https://rest.api.24sevenoffice.com/v1 () ## Authentication methods - Tfso ## Parameters ### Headers - **Authorization** (string) Authorization header ### Path parameters - **customerId** (string) The unique identifier of the customer ### Body: application/json (object) - **number** (string) Bank account number (uppercase letters, numbers, or dash only) - **type** (string) Type of bank account - **isDefault** (boolean) Whether this is the default bank account - **name** (string) Optional name for the bank account - **countryCode** (string) ISO country code - **address** (string) Bank address - **bsc** (string) Bank Sort Code - **bic** (string) Bank Identifier Code (SWIFT code) ## Responses ### 201 Created #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) #### Body: application/json (object) - **number** (string) Bank account number (uppercase letters, numbers, or dash only) - **type** (string) Type of bank account - **isDefault** (boolean) Whether this is the default bank account - **name** (string) Optional name for the bank account - **countryCode** (string) ISO country code - **address** (string) Bank address - **bsc** (string) Bank Sort Code - **bic** (string) Bank Identifier Code (SWIFT code) ### 400 Bad Request. Invalid input data. #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) ### 401 Unauthorized. Missing or invalid bearer token. #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) [Powered by Bump.sh](https://bump.sh)